psychopy.org | Reference | Downloads | Github

The problem of updating Psychopy by auto-update and using zip

OS (e.g. Win10): Win 10
PsychoPy version (e.g. 1.84.x): 3.1.0
Standard Standalone? (y/n) If not then what?: Y
What are you trying to achieve?:
I am trying to update Psychopy.
What did you try to make it work?:
I would like to update my Psychopy. However, either auto-update or use zip file below. It does not work. Regarding the auto-update, I do not understand Must be of the form http://111.222.333.444:5555 which is from instruction. Thanks in advance.
What specifically went wrong when you tried that?:
Include pasted full error message if possible. “That didn’t work” is not enough information.